<?php
if( !class_exists( 'tempo_gallery' ) ){

class tempo_gallery
{
	static function shortcode( $rett, $_attr )
	{
        if( !tempo_options::get( 'gallery-style' ) )
            return null;

		global $post;

        $attr = shortcode_atts( array(
            'order'                 => 'ASC',
            'orderby'               => 'menu_order ID',
            'id'                    => $post -> ID,
            'ids'                   => '',
            'itemtag'               => 'dl',
            'icontag'               => 'dt',
            'captiontag'            => 'dd',
            'columns'               => 3,
            'size'                  => 'thumbnail',
            'include'               => '',
            'exclude'               => '',
            'tempo_style'    			=> 'none'
        ) , $_attr );

        $cols = $attr[ 'columns' ];
        $ids = array();

        if( empty( $attr[ 'ids' ] ) ){

            $id         = intval( $attr[ 'id' ] );
            $orderby    = $attr[ 'order' ];
            $order      = $attr[ 'order' ];
            $include    = $attr[ 'include' ];
            $exclude    = $attr[ 'exclude' ];

            if ( 'RAND' == $attr[ 'order' ] ) {
                $orderby = 'none';
            }

            if ( !empty( $include ) ) {
                $attachments = get_posts( array('include' => $include, 'post_status' => 'inherit', 'post_type' => 'attachment', 'post_mime_type' => 'image', 'order' => $order, 'orderby' => $orderby) );
            } elseif ( !empty( $exclude ) ) {
                $attachments = get_children( array( 'post_parent' => $id, 'exclude' => $exclude, 'post_status' => 'inherit', 'post_type' => 'attachment', 'post_mime_type' => 'image', 'order' => $order, 'orderby' => $orderby) );
            } else {
                $attachments = get_children( array( 'post_parent' => $id, 'post_status' => 'inherit', 'post_type' => 'attachment', 'post_mime_type' => 'image', 'order' => $order, 'orderby' => $orderby ) );
            }

            foreach ( $attachments as $key => $val ) {
                $ids[ ] = $val -> ID ;
            }
        }else{
            $ids = explode( ',' , $attr[ 'ids' ] );
        }

        $rett  = '<div class="tempo-gallery tempo-gallery-colls-' . absint( $cols ) . '">';

        foreach( $ids as $id ){

            $p = get_post( $id );

            if( !isset( $p -> ID ) ){
            	continue;
            }

			$sizes = (array)tempo_cfgs::get( 'images-size' );
			$image = '';

			// One Column
			if( $cols == 1 ){
				$m_defaul 	= wp_get_attachment_image_src( $id , 'tempo-classic' );
				$m_767 		= wp_get_attachment_image_src( $id , 'tempo-767' );
				$m_520 		= wp_get_attachment_image_src( $id , 'tempo-520' );
				$m_gallery 	= wp_get_attachment_image_src( $id , 'tempo-gallery' );
				$m_small 	= wp_get_attachment_image_src( $id , 'tempo-small' );

				$image .= '<img src="' . esc_url( $m_defaul[ 0 ] ) . '" alt="' . esc_attr( get_the_title( $p -> ID ) ) . '" srcset="';

				if( isset( $sizes[ 'tempo-classic' ] ) && isset( $sizes[ 'tempo-classic' ][ 'width' ] ) )
					$image .= esc_url( $m_defaul[ 0 ] ) . ' ' . absint( $sizes[ 'tempo-classic' ][ 'width' ] ) . 'w,';

				if( isset( $sizes[ 'tempo-767' ] ) && isset( $sizes[ 'tempo-767' ][ 'width' ] ) )
					$image .= esc_url( $m_767[ 0 ] ) . ' ' . absint( $sizes[ 'tempo-767' ][ 'width' ] ) . 'w,';

				if( isset( $sizes[ 'tempo-520' ] ) && isset( $sizes[ 'tempo-520' ][ 'width' ] ) )
					$image .= esc_url( $m_520[ 0 ] ) . ' ' . absint( $sizes[ 'tempo-520' ][ 'width' ] ) . 'w,';

				if( isset( $sizes[ 'tempo-gallery' ] ) && isset( $sizes[ 'tempo-gallery' ][ 'width' ] ) )
					$image .= esc_url( $m_gallery[ 0 ] ) . ' ' . absint( $sizes[ 'tempo-gallery' ][ 'width' ] ) . 'w,';

				if( isset( $sizes[ 'tempo-small' ] ) && isset( $sizes[ 'tempo-small' ][ 'width' ] ) )
					$image .= esc_url( $m_small[ 0 ] ) . ' ' . absint( $sizes[ 'tempo-small' ][ 'width' ] ) . 'w';

				$image .= '" sizes="(max-width: ' . absint( $sizes[ 'tempo-classic' ][ 'width' ] ) . 'px) 100vw, ' . absint( $sizes[ 'tempo-classic' ][ 'width' ] ) . 'px"/>';
			}

			// 2 Columns
			else if( $cols == 2 ){

				$m_gallery 	= wp_get_attachment_image_src( $id , 'tempo-gallery' );
				$m_small 	= wp_get_attachment_image_src( $id , 'tempo-small' );

				$image .= '<img src="' . esc_url( $m_gallery[ 0 ] ) . '" alt="' . esc_attr( get_the_title( $p -> ID ) ) . '" srcset="';

				if( isset( $sizes[ 'tempo-classic' ] ) && isset( $sizes[ 'tempo-classic' ][ 'width' ] ) )
					$image .= esc_url( $m_gallery[ 0 ] ) . ' ' . absint( $sizes[ 'tempo-classic' ][ 'width' ] ) . 'w,';

				if( isset( $sizes[ 'tempo-767' ] ) && isset( $sizes[ 'tempo-767' ][ 'width' ] ) )
					$image .= esc_url( $m_small[ 0 ] ) . ' ' . absint( $sizes[ 'tempo-767' ][ 'width' ] ) . 'w,';

				if( isset( $sizes[ 'tempo-gallery' ] ) && isset( $sizes[ 'tempo-gallery' ][ 'width' ] ) )
					$image .= esc_url( $m_gallery[ 0 ] ) . ' ' . absint( $sizes[ 'tempo-gallery' ][ 'width' ] ) . 'w,';

				if( isset( $sizes[ 'tempo-small' ] ) && isset( $sizes[ 'tempo-small' ][ 'width' ] ) )
					$image .= esc_url( $m_small[ 0 ] ) . ' ' . absint( $sizes[ 'tempo-small' ][ 'width' ] ) . 'w';

				$image .= '" sizes="(max-width: 480px) 200vw, (max-width: ' . absint( $sizes[ 'tempo-classic' ][ 'width' ] ) . 'px) 100vw, ' . absint( $sizes[ 'tempo-classic' ][ 'width' ] ) . 'px"/>';

			}

			// 3 Columns
			else if( $cols == 3 ) {
				$m_small 	= wp_get_attachment_image_src( $id , 'tempo-small' );
				$m_gallery 	= wp_get_attachment_image_src( $id , 'tempo-gallery' );

				$image .= '<img src="' . esc_url( $m_small[ 0 ] ) . '" alt="' . esc_attr( get_the_title( $p -> ID ) ) . '" srcset="';

				if( isset( $sizes[ 'tempo-classic' ] ) && isset( $sizes[ 'tempo-classic' ][ 'width' ] ) )
					$image .= esc_url( $m_small[ 0 ] ) . ' ' . absint( $sizes[ 'tempo-classic' ][ 'width' ] ) . 'w,';

				if( isset( $sizes[ 'tempo-gallery' ] ) && isset( $sizes[ 'tempo-gallery' ][ 'width' ] ) )
					$image .= esc_url( $m_gallery[ 0 ] ) . ' ' . absint( $sizes[ 'tempo-gallery' ][ 'width' ] ) . 'w,';

				if( isset( $sizes[ 'tempo-small' ] ) && isset( $sizes[ 'tempo-small' ][ 'width' ] ) )
					$image .= esc_url( $m_small[ 0 ] ) . ' ' . absint( $sizes[ 'tempo-small' ][ 'width' ] ) . 'w';

				$image .= '" sizes="(max-width: 480px) 333vw, (max-width: 767px) 150vw, (max-width: ' . absint( $sizes[ 'tempo-classic' ][ 'width' ] ) . 'px) 100vw, ' . absint( $sizes[ 'tempo-classic' ][ 'width' ] ) . 'px"/>';
			}

			else if( $cols == 4 ) {
				$m_small 	= wp_get_attachment_image_src( $id , 'tempo-small' );
				$m_gallery 	= wp_get_attachment_image_src( $id , 'tempo-gallery' );

				$image .= '<img src="' . esc_url( $m_small[ 0 ] ) . '" alt="' . esc_attr( get_the_title( $p -> ID ) ) . '" srcset="';

				if( isset( $sizes[ 'tempo-classic' ] ) && isset( $sizes[ 'tempo-classic' ][ 'width' ] ) )
					$image .= esc_url( $m_small[ 0 ] ) . ' ' . absint( $sizes[ 'tempo-classic' ][ 'width' ] ) . 'w,';

				if( isset( $sizes[ 'tempo-767' ] ) && isset( $sizes[ 'tempo-767' ][ 'width' ] ) )
					$image .= esc_url( $m_small[ 0 ] ) . ' ' . absint( $sizes[ 'tempo-767' ][ 'width' ] ) . 'w,';

				if( isset( $sizes[ 'tempo-gallery' ] ) && isset( $sizes[ 'tempo-gallery' ][ 'width' ] ) )
					$image .= esc_url( $m_gallery[ 0 ] ) . ' ' . absint( $sizes[ 'tempo-gallery' ][ 'width' ] ) . 'w,';

				if( isset( $sizes[ 'tempo-small' ] ) && isset( $sizes[ 'tempo-small' ][ 'width' ] ) )
					$image .= esc_url( $m_small[ 0 ] ) . ' ' . absint( $sizes[ 'tempo-small' ][ 'width' ] ) . 'w';

				$image .= '" sizes="(max-width: 480px) 400vw, (max-width: 767px) 200vw, (max-width: ' . absint( $sizes[ 'tempo-classic' ][ 'width' ] ) . 'px) 100vw, ' . absint( $sizes[ 'tempo-classic' ][ 'width' ] ) . 'px"/>';
			}

			else{
				$m_small 	= wp_get_attachment_image_src( $id , 'tempo-small' );

				$image .= '<img src="' . esc_url( $m_small[ 0 ] ) . '" alt="' . esc_attr( get_the_title( $p -> ID ) ) . '"/>';
			}

            $rett .= '<figure class="tempo-gallery-item">';

            $rett .= '<div class="tempo-gallery-thumbnail">';
            $rett .= apply_filters( 'tempo_gallery_image', $image, $id, $cols );

            $rett .= '</div>';

            $rett .= '<figcaption>';
            $rett .= '<div class="tempo-gallery-content">';

            if( !empty( $p -> post_title ) ){
                $rett .= '<div class="tempo-gallery-title">';
                $rett .= apply_filters( 'tempo_gallery_image_title', get_the_title( $p ), $p );
                $rett .= '</div>';
            }

            $excerpt = strip_tags( $p -> post_excerpt );

            if( !empty( $excerpt ) ){
                $rett .= '<div class="tempo-gallery-caption">';
                $rett .= strip_tags( $p -> post_excerpt );
                $rett .= '</div>';
            }

            $rett .= '</div>';
            $rett .= '</figcaption>';

            $rett .= '</figure>';
        }

        $rett .= '<div class="clearfix clear"></div>';
        $rett .= '</div>';

        return $rett;
	}
}

}   /* END IF CLASS EXISTS */
?>
